<%-- IBM Material --%>
<%-- 5724-L01, 5655-N53, 5724-I82, 5655-R15 (C) COPYRIGHT International Business Machines Corp. 1997, 2006 --%>
<%-- The source code for this program is not published or otherwise divested --%>
<%-- of its trade secrets, irrespective of what has been deposited with the --%>
<%-- U.S. Copyright Office. --%>

<%@ page import="java.util.*"%>

<%@ page import="org.apache.struts.util.MessageResources,org.apache.struts.action.Action,java.net.URLEncoder"%>
<%@ page language="java"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="titleKey" classname="java.lang.String" />
<tiles:useAttribute name="descKey" classname="java.lang.String" />
<tiles:useAttribute name="actionHandler" classname="java.lang.String" />
<tiles:useAttribute name="actionForm" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />

<tiles:useAttribute id="contextType" name="contextType" classname="java.lang.String" />
<% request.setAttribute("contextType",contextType);%>

<ibmcommon:detectLocale/>
<ibmcommon:setPluginInformation pluginIdentifier="com.ibm.ws.console.wbi.busrules" pluginContextRoot=""/>

<html:html locale="true">
<HEAD>

<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<META HTTP-EQUIV="Expires" CONTENT="0">


<%@include file="/secure/layouts/browser_detection.jsp"%>

<script language="JavaScript" src="/ibm/console/scripts/menu_functions.js"></script>
</HEAD>

<% List list = (List) session.getAttribute("exportList");%>

<BODY>
<html:form action="<%=actionHandler%>" name="<%=actionForm%>" type="<%=formType%>">

<%
        ServletContext servletContext = (ServletContext)pageContext.getServletContext();
        MessageResources messages = (MessageResources)servletContext.getAttribute(Action.MESSAGES_KEY);
        //if (session.getAttribute(Constants.APPMANAGEMENT_INSTALL_TYPE).equals("redeployApplication")) {
		//    titleKey =  "appinstall.update.title";
		//} 
        String pageTitle = messages.getMessage(request.getLocale(),"ApplicationDeployment.displayName");
%>

   
<TABLE WIDTH="98%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="portalPage">
    	<TR>
        	<TD CLASS="pageTitle"><%=pageTitle%>
        	</TD>
        	<TD CLASS="pageClose"><A HREF="<%=request.getContextPath()%>/secure/content.jsp"><bean:message key="portal.close.page"/></A>
        	</TD>        
    	</TR>
  	</TABLE>

	<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
    <TR>
    <TD valign="top">
 
  	<TABLE WIDTH="98%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="wasPortlet">
  		<TR>
    		<TH class="wpsPortletTitle"><bean:message key="<%=titleKey%>"/></TH>
    		<TH class="wpsPortletTitleControls">  			  			
       		
          		<ibmcommon:info image="help.additional.information.image" topic="BusRuleExport.detail" /> 
       		<% request.setAttribute("fieldHelp", "BusRuleExport.detail"); %>
          	
       		<A href="javascript:showHidePortlet('wasUniPortlet')">
          		<img id="wasUniPortletImg" SRC="<%=request.getContextPath()%>/images/title_minimize.gif" alt="<bean:message key="wsc.expand.collapse.alt"/>" border="0" align="texttop" tabindex="1"/>
       		</A>  
    		</TH>
  		</TR>
  
  <%--</TABLE>

  <TABLE WIDTH="97%" CELLPADDING="8" CELLSPACING="0" BORDER="0" CLASS="wasPortlet">
  <TR> 
  <TD CLASS="wpsPortletArea" COLSPAN="2" ID="wasUniPortlet"--%>
  
		<TBODY ID="wasUniPortlet">
  		<TR>   
  			<TD CLASS="wpsPortletArea" COLSPAN="2" > 
     
    		<a name="important"></a> 
    		<ibmcommon:errors/>

			<p class="instruction-text"> 
			<bean:message key="<%=descKey%>"/>
			</p>

<UL>
     
<% if ( list != null) {
    String FT_OPTIONS = "?deleteOnCompletion=false&compress=false&urlEncoding=UTF-8";
    String partialExportPath = (String) session.getAttribute("BusRuleCollectionAction.partialExportPath");
    Iterator i = list.iterator();
    while ( i.hasNext() ) {
	String name = (String)i.next();
	//243574
	String encodeName = URLEncoder.encode(name,"UTF-8");
	String encodeName20 = encodeName.replaceAll("\\+","%20");
        String downloadFilePath = partialExportPath + encodeName20 + FT_OPTIONS;
%>

        <LI>
          <A HREF='<%=downloadFilePath%>'><%=name%></A>
        </LI>
 <%
      }
    }
%>	
             <BR>
             <BR>
	
            <input type="submit" name="ok" value="<bean:message key="button.back"/>" class="buttons" id="other">
		</UL>
 </TD>
 		</TR>
 		</TBODY> 	
	</TABLE>
	
	</TD>
		<%@ include file="/secure/layouts/helpPortlet.jspf" %>
	</TR>
	</TABLE>

</html:form>

</BODY>
</html:html>
